<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Helper;

/**
 * Class ObjectHelper
 * @package FiloBlu\MappConnector\Helper
 */
class ObjectHelper
{
    /**
     * @param $obj
     * @return array|null
     */
    public static function prepareNameValueObjectArray($obj)
    {
        $return = null;
        foreach ($obj as $k => $v) {
            //If attribute value is not null
            if(!is_null($v) && $v !== ''){
                $return[] = (object)['name' => $k, 'value' => $v];
            }
        }
        return $return;
    }

}